# List connections (a person only) (https://docs-ecmrhub-v2.lucaspiera.com/docs/api/connections/listConnections)

## GET /functions/v1/connections

List connections (a person only)

OAuth agents and programs and API keys of the company, on one list.

```json
{
  "operationId": "listConnections",
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/Connection"
                }
              }
            },
            "required": [
              "items"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "default": {
      "$ref": "#/components/responses/Problem"
    }
  }
}
```

Schemas referenced as `#/components/...` are in the full contract: https://docs-ecmrhub-v2.lucaspiera.com/openapi.json